Subject: [Dime] Re: [AAA-WG]: Diameter - Failover Implementation

From: "naveen sarma" <[email-masked]>
Date: Thu, 27 Jul 2006 17:18:01 +0530

Hi,
    I strictly feel that the failover has to be done per message basis.  For
more reference just see the attachment.

On 7/24/06, Monal Sengar <[email-masked]> wrote:
>
> Hi All,
>
> In case of implementing Failover in Diameter base protocol, do we need to
> send the requests in pending message queue on per peer basis or do we need
> to distribute the requests based on the application Id.
>
> In case, we implement the first option then we will have a mapping of
> Primary peer to alternate peer.When primary peer is down , all the
> requests in pending message queue will be routed to alternate peer.But in
> this case , alternate peer must support all the applicaiton Ids which
> primary peer is supporting.
>
> But in case of second option, we can retireve the pending message from the
> pending message queue and based on the applicaiton Id , we can retireve the
> proper alternate peer (from realm table and peer table) for this request
> which will be supproting the application id present in the pending message
> and route the request to the same.So for different pending requests we can
> have different alternate peers.In such case there will not be any fixed
> alternate peer but based on the application Id, we will find the proper
> alternate peer from realm table and peer table.
>
> Which option seems to be better?
>
> Thanks in advance
> Monal
>

-- 
Yours
Naveen.
_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime